## cvspass

### Description

Adds entries to a `.cvspass` file. Adding entries to this file has the same affect as a `cvs login` command.

CVSNT Note: CVSNT prefers users to store the passwords inside the registry. If the task doesn't seem to work for you, the most likely reason is that CVSNT ignores your `.cvspass` file completely. See bugzilla report 21657 for recommended workarounds.

### Parameters

Attribute | Description | Required
--- | --- | ---
cvsroot | the CVS repository to add an entry for. | Yes
password | Password to be added to the password file. | Yes
passfile | Password file to add the entry to. | No; default is ~/.cvspass

### Examples

Add an entry into the `~/.cvspass` password file.

    <cvspass cvsroot=":pserver:anoncvs@cvs.apache.org:/home/cvspublic"
             password="anoncvs"/>